# H245_MultilinkRequest Class Reference

`#include <h245.h>`

List of all members.

## Public Types

enum | Choices { e_nonStandard, e_callInformation, e_addConnection, e_removeConnection, e_maximumHeaderInterval }

## Public Member Functions

| H245_MultilinkRequest (unsigned tag=0, TagClass tagClass=UniversalTagClass)
| operator H245_NonStandardMessage & ()
| operator const H245_NonStandardMessage & () const
| operator H245_MultilinkRequest_callInformation & ()
| operator const H245_MultilinkRequest_callInformation & () const
| operator H245_MultilinkRequest_addConnection & ()
| operator const H245_MultilinkRequest_addConnection & () const
| operator H245_MultilinkRequest_removeConnection & ()
| operator const H245_MultilinkRequest_removeConnection & () const
| operator H245_MultilinkRequest_maximumHeaderInterval & ()
| operator const H245_MultilinkRequest_maximumHeaderInterval & () const
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum H245_MultilinkRequest::Choices

Enumerator:

  e_nonStandard |
  e_callInformation |
  e_addConnection |
  e_removeConnection |
  e_maximumHeaderInterval |

## Constructor & Destructor Documentation

H245_MultilinkRequest::H245_MultilinkRequest | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

H245_MultilinkRequest::operator H245_NonStandardMessage & | ( |  | ) |

H245_MultilinkRequest::operator const H245_NonStandardMessage & | ( |  | ) | const

H245_MultilinkRequest::operator H245_MultilinkRequest_callInformation & | ( |  | ) |

H245_MultilinkRequest::operator const H245_MultilinkRequest_callInformation & | ( |  | ) | const

H245_MultilinkRequest::operator H245_MultilinkRequest_addConnection & | ( |  | ) |

H245_MultilinkRequest::operator const H245_MultilinkRequest_addConnection & | ( |  | ) | const

H245_MultilinkRequest::operator H245_MultilinkRequest_removeConnection & | ( |  | ) |

H245_MultilinkRequest::operator const H245_MultilinkRequest_removeConnection & | ( |  | ) | const

H245_MultilinkRequest::operator H245_MultilinkRequest_maximumHeaderInterval & | ( |  | ) |

H245_MultilinkRequest::operator const H245_MultilinkRequest_maximumHeaderInterval & | ( |  | ) | const

PBoolean H245_MultilinkRequest::CreateObject | ( |  | ) |

PObject* H245_MultilinkRequest::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- h245.h